GET /launch/
thespacedevs.com:launch-library-api
Summary: List all launches
Operation ID: listLaunches
Auth: unknown
Operation ID: listLaunches
Auth: unknown
Description
Returns a paginated list of all orbital and suborbital launches in the database, from Sputnik 1 to the present and future launches.
Parameters (3)
limit
(integer, query, optional, default: 10)
Number of results to return per page
Constraints: {'maximum': 100}
offset
(integer, query, optional, default: 0)
Index of the first result to return
search
(string, query, optional)
Search query string to filter launches by name, mission, or other fields
Examples (3)
| Title | Type | URL | Action |
|---|---|---|---|
| List first 5 launches with pagination | curl |
https://ll.thespacedevs.com/2.2.0/launch/?limit=5&offset=0 |
|
| Upcoming launches in next 30 days | curl |
https://ll.thespacedevs.com/2.2.0/launch/?net__gte=2026-03-15T00:00:00Z&net__lte=2026-04-15T23:59:59Z&limit=10 |
|
| Filter by launch service provider and name | curl |
https://ll.thespacedevs.com/2.2.0/launch/?launch_service_provider__id=121&limit=5 |
Probe History
Status Codes
| Time | Status | Latency | Size |
|---|---|---|---|
| 2026-03-23 10:48:44.980283 | 429 | 189ms | |
| 2026-03-23 10:33:20.762842 | 429 | 352ms | |
| 2026-03-23 09:29:10.355318 | 429 | 382ms |
Response Changes
| When | Old | New |
|---|---|---|
| 2026-03-23 10:33:20.762842 | 6c5fea8456ab |
a3d3c25e08d4 |
| 2026-03-23 10:48:44.980283 | a3d3c25e08d4 |
1f334dd7bf70 |